Upstream information

CVE-2019-11461 at MITRE

Description

An issue was discovered in GNOME Nautilus 3.30 prior to 3.30.6 and 3.32 prior to 3.32.1. A compromised thumbnailer may escape the bubblewrap sandbox used to confine thumbnailers by using the TIOCSTI ioctl to push characters into the input buffer of the thumbnailer's controlling terminal, allowing an attacker to escape the sandbox if the thumbnailer has a controlling terminal. This is due to improper filtering of the TIOCSTI ioctl on 64-bit systems, similar to CVE-2019-10063.

SUSE information

Overall state of this security issue: Does not affect SUSE products

SUSE Bugzilla entry: 1133041 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 15 SP2
SUSE Linux Enterprise High Performance Computing 15 SP2
SUSE Linux Enterprise Module for Desktop Applications 15 SP2
SUSE Linux Enterprise Server 15 SP2
SUSE Linux Enterprise Server for SAP Applications 15 SP2
SUSE Linux Enterprise Storage 7
SUSE Manager Proxy 4.1
SUSE Manager Retail Branch Server 4.1
SUSE Manager Server 4.1
  • gnome-shell-search-provider-nautilus >= 3.34.2-2.25
  • libnautilus-extension1 >= 3.34.2-2.25
  • nautilus >= 3.34.2-2.25
  • nautilus-devel >= 3.34.2-2.25
  • nautilus-lang >= 3.34.2-2.25
  • typelib-1_0-Nautilus-3_0 >= 3.34.2-2.25
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 SP2 GA gnome-shell-search-provider-nautilus-3.34.2-2.25
SUSE Linux Enterprise Desktop 15 SP3
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Module for Desktop Applications 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Linux Enterprise Storage 7.1
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • gnome-shell-search-provider-nautilus >= 3.34.3-4.3.1
  • libnautilus-extension1 >= 3.34.3-4.3.1
  • nautilus >= 3.34.3-4.3.1
  • nautilus-devel >= 3.34.3-4.3.1
  • nautilus-lang >= 3.34.3-4.3.1
  • typelib-1_0-Nautilus-3_0 >= 3.34.3-4.3.1
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 SP3 GA gnome-shell-search-provider-nautilus-3.34.3-4.3.1
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Desktop Applications 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • gnome-shell-search-provider-nautilus >= 41.2-150400.1.8
  • libnautilus-extension1 >= 41.2-150400.1.8
  • nautilus >= 41.2-150400.1.8
  • nautilus-devel >= 41.2-150400.1.8
  • nautilus-lang >= 41.2-150400.1.8
  • typelib-1_0-Nautilus-3_0 >= 41.2-150400.1.8
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 SP4 GA gnome-shell-search-provider-nautilus-41.2-150400.1.8
SUSE Linux Enterprise Desktop 15
SUSE Linux Enterprise High Performance Computing 15
SUSE Linux Enterprise Module for Desktop Applications 15
SUSE Linux Enterprise Server 15
SUSE Linux Enterprise Server for SAP Applications 15
  • flatpak >= 0.10.4-4.10.1
  • flatpak-devel >= 0.10.4-4.10.1
  • libflatpak0 >= 0.10.4-4.10.1
  • typelib-1_0-Flatpak-1_0 >= 0.10.4-4.10.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-2019-2185
openSUSE Leap 15.0
  • flatpak >= 0.10.4-lp150.8.1
  • flatpak-devel >= 0.10.4-lp150.8.1
  • libflatpak0 >= 0.10.4-lp150.8.1
  • typelib-1_0-Flatpak-1_0 >= 0.10.4-lp150.8.1
Patchnames:
openSUSE-2019-2038
openSUSE Leap 15.2
  • gnome-shell-search-provider-nautilus >= 3.34.2-lp152.2.4
  • libnautilus-extension1 >= 3.34.2-lp152.2.4
  • nautilus >= 3.34.2-lp152.2.4
  • nautilus-lang >= 3.34.2-lp152.2.4
Patchnames:
openSUSE Leap 15.2 GA gnome-shell-search-provider-nautilus-3.34.2-lp152.2.2
openSUSE Leap 15.3
  • gnome-shell-search-provider-nautilus >= 3.34.3-4.3.1
  • libnautilus-extension1 >= 3.34.3-4.3.1
  • nautilus >= 3.34.3-4.3.1
  • nautilus-lang >= 3.34.3-4.3.1
Patchnames:
openSUSE Leap 15.3 GA gnome-shell-search-provider-nautilus-3.34.3-4.3.1
openSUSE Leap 15.4
  • gnome-shell-search-provider-nautilus >= 41.2-150400.1.8
  • libnautilus-extension1 >= 41.2-150400.1.8
  • nautilus >= 41.2-150400.1.8
  • nautilus-lang >= 41.2-150400.1.8
Patchnames:
openSUSE Leap 15.4 GA gnome-shell-search-provider-nautilus-41.2-150400.1.8
openSUSE Tumbleweed
  • gnome-shell-search-provider-nautilus >= 40.2-2.2
  • libnautilus-extension1 >= 40.2-2.2
  • nautilus >= 40.2-2.2
  • nautilus-devel >= 40.2-2.2
  • nautilus-lang >= 40.2-2.2
  • typelib-1_0-Nautilus-3_0 >= 40.2-2.2
Patchnames:
openSUSE Tumbleweed GA gnome-shell-search-provider-nautilus-40.2-2.2